@charset "utf-8";

/* ---------- 
company-map
----------*/
.company-map {
    margin-bottom: 41px;
}
.company-map iframe {
    width: 100%;
    height: 369px;
}
@media screen and (max-width: 700px) {
    .company-map {
        margin-bottom: 30px;
    } 
}

/* ---------- 
company-table
----------*/
.company-table {
    margin-bottom: 80px;
}
.company-table dl {
    display: flex;
    flex-wrap: wrap;
    border-top: 1px solid var(--color-line);
    border-left: 1px solid var(--color-line);
    border-right: 1px solid var(--color-line);
}
.company-table dt {
    width: clamp(200px, 14.28vw, calc(200px * var(--ratio)));
    padding: 20px 0 0 30px;
    background-color: var(--color-sub);
    border-bottom: 1px solid var(--color-line);
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 700;
    line-height: 2.125;
    letter-spacing: 0.05em;
}
.company-table dd {
    width: calc(100% - clamp(200px, 14.28vw, calc(200px * var(--ratio))));
    padding: 20px 30px;
    border-bottom: 1px solid var(--color-line);
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    line-height: 2.125;
    letter-spacing: 0.05em;
}
.company-table dd p:not(:last-child) {
    margin-bottom: 1em;
}
.company-table dd a:not([href^="tel:"]) {
    position: relative;
    display: inline-block;
    width: clamp(220px, 15.71vw, calc(220px * var(--ratio)));
    margin-top: 15px;
    padding: 15px;
    background: var(--color-text);
    border-radius: 24px;
    font-size: clamp(15px, 1.07vw, calc(15px * var(--ratio)));
    color: var(--color-text-sub);
    text-align: center;
}
.company-table dd a:not([href^="tel:"]):after {
    content: "";
    position: absolute;
    top: 50%;
    left: 30px;
    width: 8.5px;
    height: 8.5px;
    border-top: 1px solid var(--color-text-sub);
    border-right: 1px solid var(--color-text-sub);
    transform: translateY(-50%) rotate(45deg);
}

.company-table ul li {
    position: relative;
    margin-left: 20px;
}

.company-table ul li::before {
    position: absolute;
    content: "";
    display: block;
    width: 8px;
    height: 8px;
    background-color: var(--color-link_009BDA);
    border-radius: 50%;
    top: 0.9em;
    left: -20px;
}

.company-table ul li > ul li::before {
    background-color: unset;
    border: 1px solid var(--color-link_009BDA);
}

.company-table ul li > ul li > ul li::before {
    content: "・";
    top: 0;
    border: unset;
    color: var(--color-link_009BDA);
}


@media screen and (min-width: 701px) {
    .company-table dd a[href^="tel:"] {
        pointer-events: none;
        color: inherit;
        text-decoration: none;
    }
    .company-table dd a:not([href^="tel:"]):hover {
        background: linear-gradient(to right, #009BDA , #004E6D);
        color: var(--color-text-sub);
    }
    .company-table dd a:not([href^="tel:"]):hover:after {
        border-color: var(--color-text-sub);
        animation: moveBtnArrowToRight 0.6s ease-out forwards;
    }
    @keyframes moveBtnArrowToRight {
        from {
            left: 30px;
        }
        to {
            left: calc(100% - 30px);
        }
    }
}
@media screen and (max-width: 700px) {
    .company-table {
        margin-bottom: 60px;
    }
    .company-table dl {
        flex-direction: column;
    }
    .company-table dt {
        width: 100%;
        padding: 9px 0 9px 20px;
        border-bottom: none;
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: 2;
    }
    .company-table dd {
        width: 100%;
        padding: 20px;
        font-size: calc(14px / var(--fs-base) * 1rem);
        line-height: 2;
    }
    .company-table dd a[href^="tel:"] {
        pointer-events: auto;
        color: var(--color-link_009BDA);
        text-decoration: underline;
        text-underline-offset: 2px;
        font-weight: 500;
    }
    .company-table dd a:not([href^="tel:"]) {
        display: block;
        width: 255px;
        margin: 15px auto 0;
        padding: 15px 0;
        border-radius: 20px;
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
    .company-table dd a:not([href^="tel:"]):after {
        left: auto;
        right: 20px;
        transform: translateY(-50%) rotate(45deg);
    }
}

/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}